Subject: Re: [bitcoin-dev] Fees and the block-finding process

From: Thomas Zander <[email-masked]>
Date: Wed, 12 Aug 2015 10:10:45 +0200

On Tuesday 11. August 2015 21.51.59 Pieter Wuille via bitcoin-dev wrote:
>  If people are doing transactions despite being unreliable, there
> must be a use for them.

Thats one usage of the form unreliable.
Yes, if people start getting their transactions thrown out because of full 
blocks or full memory pools, then its unreliable to send stuff.

Much more importantly is the software is unreliable at such loads. Bitcoin 
core will continue to grow in memory consumption, and eventually crash. Or, 
worse, crash the system its running on.
We know of some issues in the software with regards to running at > 100% 
capacity, I'm sure we'll find more when it actually happens.

IT experts are serious when they say that they avoid maxing out a system like 
the plague.

This, btw, is a good scenario where more centralization ends up happening when 
blocks are always full and people need to upgrade their client every week to 
keep up with the bugfixes.